Eclipse GEF 3.3

## org.eclipse.gef
Interface EditPartFactory

All Known Implementing Classes:
  PaletteEditPartFactory

public interface EditPartFactory

A factory for creating new EditParts. `EditPartViewers` can be configured with an `EditPartFactory`. Whenever an `EditPart` in that viewer needs to create another EditPart, it can use the Viewer's factory. The factory is also used by the viewer whenever `EditPartViewer.setContents(Object)` is called.

Since:
  2.0

Method Summary
`EditPart` `createEditPart(EditPart context, Object model)` Creates a new EditPart given the specified context and model.

Method Detail

### createEditPart

    public EditPart createEditPart(EditPart context,
                                   Object model)

  Creates a new EditPart given the specified context and model.

  Parameters:
    `context` - The context in which the EditPart is being created, such as its parent.
    `model` - the model of the EditPart being created
  Returns:
    EditPart the new EditPart

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.